#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: stm
version: 2.4.2
id: stm-2.4.2-29f719ec777dfbb9548ac2cdb8ccc3c6

license: BSD3
copyright:
maintainer: libraries@haskell.org
stability:
homepage:
package-url:
synopsis: Software Transactional Memory
description: A modular composable concurrency abstraction.
             .
             Changes in version 2.4.2
             .
             * Added "Control.Concurrent.STM.TSem" (transactional semaphore)
             .
             Changes in version 2.4.1
             .
             * Added Applicative/Alternative instances of STM for GHC <7.0
             .
             Changes in version 2.4
             .
             * Added "Control.Concurrent.STM.TQueue" (a faster @TChan@)
             .
             * Added "Control.Concurrent.STM.TBQueue" (a bounded channel based on @TQueue@)
             .
             * @TChan@ has an @Eq@ instances
             .
             * Added @newBroadcastTChan@ and @newBroadcastTChanIO@
             .
             * Some performance improvements for @TChan@
             .
             * Added @cloneTChan@
category: Concurrency
author:
exposed: True
exposed-modules: Control.Concurrent.STM
                 Control.Concurrent.STM.TArray Control.Concurrent.STM.TVar
                 Control.Concurrent.STM.TChan Control.Concurrent.STM.TMVar
                 Control.Concurrent.STM.TQueue Control.Concurrent.STM.TBQueue
                 Control.Concurrent.STM.TSem Control.Monad.STM
hidden-modules: Control.Sequential.STM
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/stm-2.4.2
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/stm-2.4.2
              /usr/local/lib
hs-libraries: HSstm-2.4.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.5.0.0-98aa445e59f3eb0c886795ff07406d84
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/stm-2.4.2/html/stm.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/stm-2.4.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
